=== debian/changelog ===
qtbase-opensource-src (5.15.13+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 28 Mar 2024 11:19:11 +0300

qtbase-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from unstable.
    - Acknowledge NMUs, thanks Benjamin Drung and Steve Langasek!
  * New upstream release.
  * Drop patches, included in the new release:
    - image_deletion_order.diff
    - qxcbwindow_set_geometry.diff
    - CVE-2023-24607.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-13.
  * Update debian/copyright.
  * Run wrap-and-sort.
  * Fix Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Mar 2024 14:24:14 +0300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:56:07 +1300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu5) noble; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from Debian unstable.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 15 Mar 2024 01:00:58 +0300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:33:19 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:09:22 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:02:22 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 24 Feb 2024 23:33:04 +0300

qtbase-opensource-src (5.15.12+dfsg-3) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7 upload from unstable.
  * Replace pkg-config build-dependency with pkgconf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Feb 2024 19:39:14 +0300

qtbase-opensource-src (5.15.12+dfsg-2) experimental; urgency=medium

  * Merge 5.15.10+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5.symbols for powerpc.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jan 2024 13:23:36 +0300

qtbase-opensource-src (5.15.12+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 Dec 2023 10:42:00 +0300

qtbase-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_alt_backtick.diff, included in the new release.
  * Bump ABI version to qtbase-abi-5-15-12.
  * Update debian/copyright for src/3rdparty/libpng.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 14:48:57 +0300

qtbase-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - openssl_set_options.diff
    - revert_startBlocking_removal.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-11.
  * Update debian/copyright.
  * Override two source-is-missing Lintian warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 18:38:23 +0300

qtbase-opensource-src (5.15.10+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.  Closes: #1065154.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 09:03:16 +0000

qtbase-opensource-src (5.15.10+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062946

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:11:00 +0000

qtbase-opensource-src (5.15.10+dfsg-7) unstable; urgency=medium

  * Backport upstream patch to fix potential buffer overflow when reading
    KTX images (CVE-2024-25580, closes: #1064053).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Feb 2024 15:11:37 +0300

qtbase-opensource-src (5.15.10+dfsg-6) unstable; urgency=medium

  * Backport upstream patches to fix incorrect integer overflow check in
    HPack (CVE-2023-51714, closes: #1060694).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jan 2024 19:53:52 +0300

qtbase-opensource-src (5.15.10+dfsg-5ubuntu1) noble; urgency=medium

  * For now force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on
    start.

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Dec 2023 10:40:00 +0000

qtbase-opensource-src (5.15.10+dfsg-5) unstable; urgency=medium

  * Add a patch to support LoongArch (closes: #1054569). Thanks Dandan Zhang!
  * Add a debian/clean file (closes: #1048743).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Nov 2023 11:21:47 +0300

qtbase-opensource-src (5.15.10+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix build with libxkbcommon 1.6.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Oct 2023 14:07:10 +0300
