## qtbase-opensource-src 5.15.14+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.14+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32762.diff
    - CVE-2023-33285.diff
    - sql_odbc_fix_unicode_check.diff
  * Rebase sql_odbc_more_unicode_checks.diff.
  * Populate ${libssl:Depends} properly for libqt5network5t64.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-14.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 May 2024 17:32:51 +0300

qtbase-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 10:53:43 +0300
