## qtbase-opensource-src 5.15.14+p22.04+vstable+git20240826.0223

=== debian/changelog ===
qtbase-opensource-src (5.15.14+p22.04+vstable+git20240826.0223-0) jammy; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Aug 2024 02:23:44 +0000

qtbase-opensource-src (5.15.14+dfsg-1) jammy; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtbase-opensource-src (5.15.13-0neon) UNRELEASED; urgency=medium

  * new version rebase

 -- Jonathan Riddell <jr@jriddell.org>  Mon, 31 Oct 2022 11:07:13 +0000
