=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
-               dpkg-dev (>= 1.22.5),
-               firebird-dev [linux-any],
+               dpkg-dev (>= 1.17.14),
+               firebird-dev [kfreebsd-any linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -19,21 +19,22 @@
                libdbus-1-dev,
                libdouble-conversion-dev,
                libdrm-dev [linux-any],
-               libfontconfig-dev,
-               libfreetype-dev,
-               libgbm-dev [linux-any],
-               libgl-dev,
-               libgles-dev,
+               libfontconfig1-dev,
+               libfreetype6-dev,
+               libgbm-dev [linux-any kfreebsd-any],
+               libgl1-mesa-dev | libgl-dev,
+               libgles2-mesa-dev | libgles2-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
-               libharfbuzz-dev,
+               libharfbuzz-dev (>= 1.6.0~),
                libicu-dev,
                libinput-dev [linux-any],
                libjpeg-dev,
                libkrb5-dev,
                libmd4c-dev,
                libmtdev-dev [linux-any],
+               libmysqlclient-dev,
                libpcre2-dev,
                libpng-dev,
                libpq-dev,
@@ -41,6 +42,7 @@
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
+               libsystemd-dev,
                libudev-dev [linux-any],
                libvulkan-dev [linux-any],
                libx11-dev,
@@ -67,8 +69,8 @@
                libxkbcommon-x11-dev,
                libxrender-dev,
                libzstd-dev,
-               pkg-kde-tools,
-               pkgconf,
+               pkg-config,
+               pkg-kde-tools (>= 0.15.17~),
                publicsuffix,
                qt5-qmake-bin <cross>,
                unixodbc-dev,
@@ -76,39 +78,41 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
-
-Package: libqt5core5t64
-Replaces: libqt5core5a
-Breaks: libqt5core5a (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-X-Time64-Compat: libqt5core5a
-Provides: qtbase-abi-5-15-14, ${t64:Provides}
+Vcs-Git: https://invent.kde.org/neon/qt/qtbase.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtbase
+Maintainer: Neon CI <neon@kde.org>
+
+Package: libqt5core5a
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Provides: qtbase-abi-5-15-5
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
+        libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  The QtCore module contains core non-GUI functionality.
 
-Package: libqt5gui5t64
-Provides: ${t64:Provides}
-Replaces: libqt5gui5
-Breaks: libqt5gui5 (<< ${source:Version})
+Package: libqt5gui5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5svg5, qt5-gtk-platformtheme, qtwayland5
+Recommends: libqt5svg5, qt5-gtk-platformtheme
+Breaks: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
+        libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
+Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
+          libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Conflicts: libqt5gui5-gles
-Suggests: qgnomeplatform-qt5, qt5-image-formats-plugins
+Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -127,11 +131,25 @@
  This package provides the GTK+ 3 platform theme, which makes Qt use
  native icon themes, fonts, and dialogs on GTK-based environments.
 
+Package: qt5-flatpak-platformtheme
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
+Depends: qt5-xdgdesktopportal-platformtheme (= ${binary:Version}),
+         ${misc:Depends}
+Description: Qt 5 Flatpak platform theme (transitional package)
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional package which can safely be removed.
+
 Package: qt5-xdgdesktopportal-platformtheme
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
+Replaces: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -139,10 +157,7 @@
  This package provides the XDG Desktop portal platform theme, which makes
  Qt use native file dialogs on Flatpak/Snap based environments.
 
-Package: libqt5network5t64
-Provides: ${t64:Provides}
-Replaces: libqt5network5
-Breaks: libqt5network5 (<< ${source:Version})
+Package: libqt5network5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -154,10 +169,7 @@
  The QtNetwork module offers classes that allow you to write TCP/IP clients and
  servers. It provides classes to make network programming easier and portable.
 
-Package: libqt5opengl5t64
-Provides: ${t64:Provides}
-Replaces: libqt5opengl5
-Breaks: libqt5opengl5 (<< ${source:Version})
+Package: libqt5opengl5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -172,15 +184,12 @@
  OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
  rendering and provides little or no support for GUI programming issues.
 
-Package: libqt5sql5t64
-Provides: ${t64:Provides}
-Replaces: libqt5sql5
-Breaks: libqt5sql5 (<< ${source:Version})
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [linux-any]
+Package: libqt5sql5
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
 Description: Qt 5 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -244,7 +253,7 @@
  MS SQL or Sybase SQL server.
 
 Package: libqt5sql5-ibase
-Architecture: linux-any
+Architecture: kfreebsd-any linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -254,10 +263,7 @@
  Install it if you intend to use or write Qt programs that are to access a
  Firebird/InterBase DB.
 
-Package: libqt5xml5t64
-Provides: ${t64:Provides}
-Replaces: libqt5xml5
-Breaks: libqt5xml5 (<< ${source:Version})
+Package: libqt5xml5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -269,10 +275,7 @@
  The QtXml module provides a stream reader and writer for XML documents,
  and C++ implementations of SAX and DOM.
 
-Package: libqt5dbus5t64
-Provides: ${t64:Provides}
-Replaces: libqt5dbus5
-Breaks: libqt5dbus5 (<< ${source:Version})
+Package: libqt5dbus5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -288,10 +291,7 @@
  applications by exporting objects, as well as use services exported by those
  applications by placing calls and accessing properties.
 
-Package: libqt5test5t64
-Provides: ${t64:Provides}
-Replaces: libqt5test5
-Breaks: libqt5test5 (<< ${source:Version})
+Package: libqt5test5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -303,10 +303,7 @@
  The QtTest module provides classes for unit testing Qt applications and
  libraries.
 
-Package: libqt5concurrent5t64
-Provides: ${t64:Provides}
-Replaces: libqt5concurrent5
-Breaks: libqt5concurrent5 (<< ${source:Version})
+Package: libqt5concurrent5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -318,10 +315,7 @@
  The QtConcurrent module contains functionality to support concurrent execution
  of program code.
 
-Package: libqt5widgets5t64
-Provides: ${t64:Provides}
-Replaces: libqt5widgets5
-Breaks: libqt5widgets5 (<< ${source:Version})
+Package: libqt5widgets5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -332,14 +326,10 @@
  .
  The QtWidgets module extends QtGui with C++ widget functionality.
 
-Package: libqt5printsupport5t64
-Provides: ${t64:Provides}
-Replaces: libqt5printsupport5
-Breaks: libqt5printsupport5 (<< ${source:Version})
+Package: libqt5printsupport5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libcups2
 Description: Qt 5 print support module
- Qt is a cross-platform C++ application framework. Qt's primary feature
