=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,14 @@
 	extra_configure_opts += -no-pch
 endif
 
-gles2_architectures := armel armhf
+gles2_architectures := armel armhf arm64
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
 	extra_configure_opts += -opengl es2
 else
 	extra_configure_opts += -opengl desktop
 endif
 
-ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux))
+ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux kfreebsd))
 	extra_configure_opts += -no-eglfs
 endif
 
@@ -53,6 +53,7 @@
 	cpu_opt = -no-sse2 -no-pch
 endif
 
+mkspec_osmap_kfreebsd = gnukfreebsd
 platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
 platform_arg = $(platform_os)-g++
 
@@ -70,8 +71,6 @@
 else
 	NUMJOBS = 1
 endif
-
-export DEB_CPPFLAGS_MAINT_APPEND = -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -129,6 +128,7 @@
 	            -no-mimetype-database \
 	            -no-feature-relocatable \
 	            -xcb-native-painting \
+	            -journald \
 	            $(extra_configure_opts) \
 	            $(cpu_opt) \
 	            QMAKE_CFLAGS="$(CFLAGS)" \
@@ -139,6 +139,26 @@
 	[ ! -f Makefile ] || $(MAKE) confclean distclean
 
 	# Extra stuff missed by confclean/distclean
+
+	# Misc. files
+	rm -f \
+	  config.status \
+	  config.tests/.qmake.cache \
+	  examples/dbus/*/Makefile.* \
+	  mkspecs/qconfig.pri \
+	  src/corelib/global/qconfig.* \
+	;
+
+	# Misc. directories
+	rm -rf \
+	  doc-build/ \
+	  doc/html/ \
+	  doc/qch/ \
+	  examples/tools/plugandpaint/plugins/ \
+	  examples/tools/styleplugin/styles/ \
+	  lib/ \
+	  plugins/ \
+	;
 
 	# Leftover dirs
 	find -depth -type d \( -false \
@@ -179,7 +199,13 @@
 	| grep -e application/x-executable \
 	| cut -d ':' -f 1 | xargs rm -f
 
-override_dh_auto_build-indep:
+	# Generated on build
+	rm -vf debian/stamp-makefile-build-tools
+
+	# more leftovers
+	rm -f .device.vars .qmake.vars
+
+override_dh_auto_build-indep: build-arch
 	dh_auto_build -- docs
 
 override_dh_auto_build-arch:
@@ -215,18 +241,3 @@
 
 	# Use multiarched directory for host_bins variable (see #909575)
 	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
-		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
-
-	# Remove leftover directories
-	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
-	  -o -name .moc\* \
-	  -o -name .obj\* \
-	  -o -name .pch \
-	  -o -name .rcc \
-	\) -print0 | xargs -0 rm -rf
-
-	# Remove libtool-like files
-	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
-
-	# A user of Qt built by a distro doesn't need to find where the plugins
-	# are via CMake, so don't install them.
